import { ElementRef, Renderer2 } from '@angular/core';
import { AbstractControlDirective } from './abstract-control.directive';
import { FormsConfig } from '../../types';
import * as i0 from "@angular/core";
export declare class RangeInputControlDirective extends AbstractControlDirective<number> {
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig);
    onInput(): void;
    onBlur(): void;
    getValue(): number;
    setValue(value: number): void;
    setDisabled(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeInputControlDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RangeInputControlDirective, "input[type=\"range\"][ngrxFormControl]", never, {}, {}, never>;
}
