import { ElementRef, Renderer2 } from '@angular/core';
import { AbstractControlDirective } from './abstract-control.directive';
import { FormsConfig } from '../../types';
import * as i0 from "@angular/core";
export declare class TextInputControlDirective extends AbstractControlDirective<string> {
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig);
    onInput(): void;
    onBlur(): void;
    getValue(): string;
    setValue(value: string): void;
    setDisabled(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextInputControlDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextInputControlDirective, "input[type=\"text\"][ngrxFormControl],textarea[ngrxFormControl],input:not([type=\"checkbox\"]):not([type=\"number\"]):not([type=\"range\"]):not([type=\"radio\"])[ngrxFormControl]", never, {}, {}, never>;
}
