import { ElementRef, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { FormsConfig } from '../../types';
import { AbstractControlDirective } from './abstract-control.directive';
import * as i0 from "@angular/core";
export declare class ValueAccessorConnectorDirective extends AbstractControlDirective<any> {
    accessor: ControlValueAccessor;
    lastValue: any;
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig, accessors: ControlValueAccessor[]);
    initAccessor(accessors: ControlValueAccessor[]): void;
    getValue(): any;
    setValue(value: any): void;
    setDisabled(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueAccessorConnectorDirective, [null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ValueAccessorConnectorDirective, "[ngrxFormControl]:not(input):not(textarea):not(select)", never, {}, {}, never>;
}
