import { ElementRef, Renderer2 } from '@angular/core';
import { AbstractControlDirective } from './abstract-control.directive';
import { FormsConfig } from '../../types';
import * as i0 from "@angular/core";
export declare const RadioControlNotSupported: Error;
export declare class RadioInputControlDirective extends AbstractControlDirective<boolean> {
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig);
    setValue(value: boolean): void;
    getValue(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioInputControlDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RadioInputControlDirective, "input[type=\"radio\"][ngrxFormControl]", never, {}, {}, never>;
}
